bindings-libpci: Low level bindings to libpci

This is a package candidate release! Here you can preview how this package release will appear once published to the main package index (which can be accomplished via the 'maintain' link below). Please note that once a package has been published to the main package index it cannot be undone! Please consult the package uploading documentation for more information.

[maintain] [Publish]

Low level bindings to libpci:

https://github.com/pciutils/pciutils

This package uses bindings-DSL and conforms to its naming convention.


[Skip to Readme]

Properties

Versions 0.1.0.0, 0.1.0.0, 0.2.0.0, 0.3.0.0, 0.4.0.0, 0.4.0.1
Change log CHANGELOG.md
Dependencies base (>=4.12 && <4.15), bindings-DSL (>=1.0.24 && <1.1) [details]
License BSD-3-Clause
Copyright Copyright (c) 2020 David Cox
Author dopamane
Maintainer dopamane <standard.semiconductor@gmail.com>
Category FFI
Bug tracker https://github.com/standardsemiconductor/bindings-libpci/issues
Source repo head: git clone git://github.com/standardsemiconductor/bindings-libpci.git -b main
Uploaded by dopamane at 2020-12-07T22:09:25Z

Modules

Downloads

Maintainer's Corner

For package maintainers and hackage trustees


Readme for bindings-libpci-0.1.0.0

[back to package description]

Haskell CI

bindings-libpci

Low level bindings to libpci See also the pciutils homepage.

This package uses bindings-DSL and conforms to its naming convention.

For a higher-level and more Haskell friendly binding (which uses this package) see the pci package.

Installing

Make sure the libpci C library is installed: